Bug 508129 - Most mediawiki dependencies should move down to mediawiki-nomath
Most mediawiki dependencies should move down to mediawiki-nomath
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 14:04 EDT by Mike Harris
Modified: 2009-07-31 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 17:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Install mediawiki without the latex dependencies by default (1.66 KB, patch)
2009-07-23 08:42 EDT, Ricky Zhou
no flags Details | Diff
Include the math functionality in mediawiki, but leave it out in -nomath (2.49 KB, patch)
2009-07-23 08:44 EDT, Ricky Zhou
no flags Details | Diff

  None (edit)
Description Mike Harris 2009-06-25 14:04:36 EDT
Description of problem:
Mediawiki was split into 3 packages (see 485447) - mediawiki, mediawiki-nomath, mediawiki-math.

I'd like to install a wiki with no math support. I would think I'd just install mediawiki package. This package depends on -math and -nomath, which is confusing. So I just install -nomath. It's missing its dependencies, so it doesn't pull in httpd or php. I can't easily install it without math support.

It seems there are two bugs - mediawiki depends on -math, and -nomath has no dependencies. mediawiki doesn't really have any content, just some docs. What would make the most sense to me would be merging mediawiki and -nomath. Then to install a wiki with no math support, 'yum install mediawiki'. With math, 'yum install mediawiki-math' which would pull in mediawiki.


Version-Release number of selected component (if applicable):
1.14.0-45.fc11


Steps to Reproduce:
yum install mediawiki

or
yum install mediawiki-nomath
  

Actual results:
yum install mediawiki:
depends on -math and -nomath, so can't install without math

yum install mediawiki-nomath, no dependencies, so doesn't pull in http or php

Expected results:
yum install mediawiki:
install mediawiki software without math support

yum install mediawiki-nomath:
install mediawiki software without math support
Comment 1 Ricky Zhou 2009-07-23 08:42:52 EDT
Created attachment 354848 [details]
Install mediawiki without the latex dependencies by default

Here is a patch to the specfile to merge the math subpackage with the mediawiki package in the way suggested by the reporter.
Comment 2 Ricky Zhou 2009-07-23 08:44:56 EDT
Created attachment 354851 [details]
Include the math functionality in mediawiki, but leave it out in -nomath

Some would argue that the math functionality should be enabled in the default package with the option of a -nomath package.  In that case, here is a patch that does that instead.
Comment 3 Axel Thimm 2009-07-23 10:48:16 EDT
(In reply to comment #0)
> I'd like to install a wiki with no math support. I would think I'd just install
> mediawiki package.

Actually someone that wants to install mediawiki with math support will most probably think the same. There needs to be some default, and mediawiki is known for it's good math support.

> Expected results:
> yum install mediawiki:
> install mediawiki software without math support

As said the default should be with math support. If one needs to special case his setup (e.g. minimal install, no LaTeX, etc.) then he can pull in (just) mediawiki-nomath, but the typical user would be alienated, if he had to pull in several packages to get a standard mediawiki setup going.

> yum install mediawiki-nomath:
> install mediawiki software without math support
Comment 4 Ricky Zhou 2009-07-24 01:15:54 EDT
(In reply to comment #3)
> As said the default should be with math support.
Hi, in that case you might be interested in my second patch, which fixes the requires on the mediawiki-nomath package (they are currently broken, as mentioned by the original reporter).
Comment 5 Axel Thimm 2009-07-26 17:07:05 EDT
The current package in rawhide has some package specific documentation and sample configuration. Some wrong dependencies for minimal (mathless) installations have been fixed as well. From the changelog:

- Add a README.RPM and a sample apache mediawiki.conf file.
- All (runtime) dependencies from mediawiki need to move to
  mediawiki-nomath.

See also
http://cvs.fedoraproject.org/viewvc/rpms/mediawiki/devel/README.RPM?view=co
http://cvs.fedoraproject.org/viewvc/rpms/mediawiki/devel/mediawiki.conf?view=co

Please check if the issues are ironed out and reopen if not. The package in rawhide may further change before F12 to address bug #463784.

Note You need to log in before you can comment on or make changes to this bug.